Bug 557021 - Review Request: rubygem-merb-gen - Application and plugin generator scripts for Merb
Summary: Review Request: rubygem-merb-gen - Application and plugin generator scripts f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 551817
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-20 06:27 UTC by Matthew Kent
Modified: 2010-09-11 19:49 UTC (History)
3 users (show)

Fixed In Version: rubygem-merb-gen-1.0.15-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-25 07:05:06 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2010-01-20 06:27:34 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-merb-gen.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-merb-gen-1.0.15-1.fc13.src.rpm
Description: Application and plugin generator scripts for Merb.

Installing this package will provide the capability to generate a functional Merb application.

This package contains the merb-gen binary and library.

rpmlint produces a lot of misspelled-macro warnings due to the documentation, and the errors are from the templates that merb-gen uses to generate the application:

mkent@fedora-devel-chef:~/rpmbuild/SPECS$ rpmlint rubygem-merb-gen.spec /var/tmp/results/*.rpm | grep -v misspelled-macro
rubygem-merb-gen.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/merb-gen-1.0.15/lib/generators/templates/application/merb_plugin/test/%base_name%_test.rb
rubygem-merb-gen.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/merb-gen-1.0.15/lib/generators/templates/application/common/merb_thor/app_script.rb 0644 /usr/bin/env
rubygem-merb-gen-doc.noarch: W: no-documentation
3 packages and 1 specfiles checked; 2 errors, 74 warnings.

---

Usage example:

merb-gen core core-example
cd core-example
merb-gen controller helloworld

To run it:

cd core-example
merb

---

See Bug 549286 for more information about the background of merb.

Comment 1 Mamoru TASAKA 2010-02-12 17:10:03 UTC
Looks okay, also your test passes.

One question:
- About "rake spec"
  Currently rake_helpers.rb is missing. Perhaps this file is the below:
  http://github.com/wycats/merb/blob/master/rake_helpers.rb

  Anyway without this file, chaging Rakefile as below seems to
  make "rake spec" pass:
--------------------------------------------------------------------
--- Rakefile.orig       1970-01-01 09:00:00.000000000 +0900
+++ Rakefile    2010-02-13 01:50:28.000000000 +0900
@@ -1,4 +1,10 @@
-require File.expand_path(File.join(File.dirname(__FILE__), "..", "rake_helpers"))
+#require File.expand_path(File.join(File.dirname(__FILE__), "..", "rake_helpers"))
+begin ; require "rubygem" ; rescue LoadError ; end
+require "merb-core"
+require "rake"
+require "rake/gempackagetask"
+require "spec"
+require "spec/rake/spectask"
 
 ##############################################################################
 # Package && release
--------------------------------------------------------------------
  Would you consider to enable %check ?

Comment 2 Matthew Kent 2010-02-16 05:48:06 UTC
Thanks for the review!

(In reply to comment #1)
> Looks okay, also your test passes.
> 
> One question:
> - About "rake spec"
>   Currently rake_helpers.rb is missing. Perhaps this file is the below:
>   http://github.com/wycats/merb/blob/master/rake_helpers.rb
> 

Yeah I think they forgot to update the gemspec before the latest release. Looks fixed now.

>   Anyway without this file, chaging Rakefile as below seems to
>   make "rake spec" pass:
> --------------------------------------------------------------------
> --- Rakefile.orig       1970-01-01 09:00:00.000000000 +0900
> +++ Rakefile    2010-02-13 01:50:28.000000000 +0900
> @@ -1,4 +1,10 @@
> -require File.expand_path(File.join(File.dirname(__FILE__), "..",
> "rake_helpers"))
> +#require File.expand_path(File.join(File.dirname(__FILE__), "..",
> "rake_helpers"))
> +begin ; require "rubygem" ; rescue LoadError ; end
> +require "merb-core"
> +require "rake"
> +require "rake/gempackagetask"
> +require "spec"
> +require "spec/rake/spectask"
> 
>  

Looks good to me and tests okay. Thanks!

Comment 3 Matthew Kent 2010-02-16 05:49:05 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-merb-gen.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-merb-gen-1.0.15-2.fc13.src.rpm

* Mon Feb 15 2010 Matthew Kent <mkent@magoazul.com> - 1.0.15-2
- Patch from Mamoru Tasaka to permit enabling of %%check phase (#557021).

Comment 4 Matthew Kent 2010-02-16 05:50:32 UTC
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1989706

Comment 5 Mamoru TASAKA 2010-02-16 06:21:45 UTC
I will recheck this later.

By the way would you have some time to review my review request
bug 565603 ?

Comment 6 Mamoru TASAKA 2010-02-16 10:08:17 UTC
It is preferable that check test is executed under %_builddir
(i.e.
%check
pushd .%{geminstdir}
rake spec
) rather than %buildroot, however other things are okay.
-------------------------------------------------------------------
    This package (rubygem-merb-gen) is APPROVED by mtasaka
-------------------------------------------------------------------

Comment 7 Matthew Kent 2010-02-17 04:58:47 UTC
New Package CVS Request
=======================
Package Name: rubygem-merb-gen
Short Description: Application and plugin generator scripts for Merb
Owners: mkent
Branches: F-11 F-12
InitialCC:

Comment 8 Mamoru TASAKA 2010-02-17 05:13:59 UTC
Now F-13 is branched.

Comment 9 Matthew Kent 2010-02-17 07:33:15 UTC
Oh yes - thanks. Take two:

New Package CVS Request
=======================
Package Name: rubygem-merb-gen
Short Description: Application and plugin generator scripts for Merb
Owners: mkent
Branches: F-11 F-12 F-13
InitialCC:

Comment 10 Jason Tibbitts 2010-02-19 19:07:32 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Fedora Update System 2010-02-25 06:56:09 UTC
rubygem-merb-gen-1.0.15-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-merb-gen-1.0.15-2.fc11

Comment 12 Fedora Update System 2010-02-25 06:57:32 UTC
rubygem-merb-gen-1.0.15-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-merb-gen-1.0.15-2.fc12

Comment 13 Fedora Update System 2010-02-25 06:58:37 UTC
rubygem-merb-gen-1.0.15-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-merb-gen-1.0.15-2.fc13

Comment 14 Mamoru TASAKA 2010-02-25 07:05:06 UTC
Closing.

Comment 15 Fedora Update System 2010-02-25 12:47:46 UTC
rubygem-merb-gen-1.0.15-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-02-27 03:31:52 UTC
rubygem-merb-gen-1.0.15-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-02-27 03:43:11 UTC
rubygem-merb-gen-1.0.15-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Michael Stahnke 2010-09-10 20:18:27 UTC
Package Change Request
======================
Package Name: rubygem-merb-gen
New Branches: el5 el6
Owners: stahnma

mkent is aware of request

Comment 19 Kevin Fenzi 2010-09-11 19:49:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.